@import 'normalize.css';

* {
  box-sizing: border-box;
}

html,
body {
  font-size: 16px;
  word-break: keep-all;
  font-family: 'Pretendard Variable', Pretendard, -apple-system,
    BlinkMacSystemFont, system-ui, Roboto, 'Helvetica Neue', 'Segoe UI',
    'Apple SD Gothic Neo', 'Noto Sans KR', 'Malgun Gothic', 'Apple Color Emoji',
    'Segoe UI Emoji', 'Segoe UI Symbol', sans-serif;
  letter-spacing: -0.3px;
  color: #222222;
  padding-bottom: 2rem;
  overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@media screen and (max-width: 960px) {
  html,
  body {
    font-size: 14px;
  }
}

section {
  padding: 0 2rem;
}

p {
  margin: 0 0 1rem 0;
  font-size: 1.1rem;
  line-height: 1.4;
}

a {
  color: #3a7bd5;
  transition: color 0.3s ease;
}

a:hover {
  color: #00d2ff;
}

h1 {
  font-size: 5rem;
  line-height: 1.1;
}

@media screen and (max-width: 960px) {
  h1 {
    font-size: 3rem;
  }
}

h2 {
  font-size: 3rem;
  margin: 4rem 0 2rem 0;
}

h3 {
  font-size: 2rem;
  margin: 0 0 1rem 0;
}

h4 {
  font-size: 2rem;
  margin: 0 0 1rem 0;
}

@media screen and (max-width: 960px) {
  h4 {
    font-size: 1.5rem;
  }
}

h5 {
  font-size: 1.3rem;
  margin: 0 0 0.5rem 0;
  color: #333333;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0 0 1rem 0;
  font-size: 1.1rem;
}

ul ul {
  margin-bottom: 0;
}

ul > li {
  position: relative;
  padding: 0.2rem 0 0.2rem 1rem;
}

ul > li:before {
  position: absolute;
  left: 0;
  display: inline-block;
  content: '•';
}

table {
  padding: 0;
  font-size: 1.1rem;
  border-spacing: 0.5rem;
}

.container {
  width: 100%;
  max-width: 50rem;
  margin: auto;
}

.big-paragraph {
  font-size: 2rem;
  line-height: 1.4;
  font-weight: 500;
}

@media screen and (max-width: 960px) {
  .big-paragraph {
    font-size: 1.5rem;
  }
}

.row {
  display: flex;
  padding: 3rem 0;
  border-bottom: 1px solid #eeeeee;
}

.row-left {
  flex-basis: 18rem;
  padding-right: 1rem;
  flex-shrink: 0;
}

.row-right {
  flex-grow: 1;
}

@media screen and (max-width: 960px) {
  .row {
    flex-direction: column;
  }

  .row-left {
    flex-basis: 100%;
    padding-right: 0;
    padding-bottom: 1rem;
  }
}

.other {
  padding: 3rem 0;
  border-bottom: 1px solid #eeeeee;
}

.role {
  display: block;
}

.project {
  padding: 1.5rem 0;
  border-bottom: 1px solid #eeeeee;
}

.project:first-child {
  padding-top: 0;
}

.time {
  display: block;
  margin-bottom: 1.5rem;
}

.comment {
  font-size: 0.9rem;
  color: gray;
}
